module.exports = options => {
    return async function errCatch(ctx, next) {

        try{
            await next()
        }catch (err) {
            ctx.set('Content-Type', 'application/json')
            ctx.body = JSON.stringify({
                code: err.code || (ctx.app.config.errCode.APP_ERROR_CODE + ctx.app.config.errCode.NOT_REGISTER_ERROR),
                message: err && err.message ? err.message : err.toString()
            })
            ctx.status = 200

            // 记录请求的返回结果，因为发生错误后不会到response中间件
            ctx.logger.error(err)
        }

    }
}